<app-loading *ngIf="loadingArtist"></app-loading>

<div class="container-fluid m-3">
  <div class="container-fluid animated fadeIn" *ngIf="!loadingArtist">
    <div class="row">
      <div class="col-md-3">
          <img class="border border-white rounded" width="75%"  [src]="artista.images | noimage">
          <div class="m-3">
            <h3>{{ artista.name }} </h3>
            <p>
                <a [href]="artista.external_urls.spotify" target="_blank">
                    Ir a la página del artista
                </a>
            </p>
        </div>
      </div>

      <div class="col-md-8">

        <h5>Las 10 mejores canciones de <strong>{{ artista.name }}</strong></h5>
        <br>
        <table class="table text-white">
              <thead>
                  <tr>
                      <th>Foto</th>
                      <th>Album</th>
                      <th>Canción</th>
                      <th>Vista Previa</th>
                  </tr>
              </thead>
              <tbody>
                  <tr *ngFor="let track of topTracks">
                      <td>
                          <img [src]="track.album.images | noimage" class="img-thumb">
                      </td>
                      <td>{{ track.album.name }}</td>
                      <td>{{ track.name }}</td>
                      <td>
                          <iframe [src]="track.uri | domseguro"
                          width="300" height="300" frameborder="1" allowtransparency="true" allow="encrypted-media"></iframe>
                      </td>
                  </tr>
              </tbody>
          </table>
      </div>
      <div class="col-1 text-right">
        <button class="btn btn-outline-danger" (click)="goBack()">
            Volver
        </button>
      </div>
    </div>
  </div>
</div>

<br>
